﻿@model IEnumerable<AppUser>

<div class="bg-primary m-1 p-1 text-white text-center"><h4>Администрирование учетных записей веб версия</h4></div>
<div class="text-danger" asp-validation-summary="ModelOnly"></div>

<div class="container-fluid mt-3">

    <div class="form-row">
        <table class="table table-sm table-hover table-bordered">
            <caption>Учетные записи</caption>
            <thead>
                <tr class="d-flex">
                    <th class="text-center col-3">Id</th>
                    <th class="text-center col-3">Учетная запись</th>
                    <th class="text-center col-3">Почта</th>
                    <th class="text-center col-3">Операции с пользователем</th>
                </tr>
            </thead>
            <tbody>
                @if (Model.Count() == 0)
                {
                    <tr><td colspan="3" class="text-center">No User Account</td></tr>
                }
                else
                {
                    foreach (AppUser user in Model)
                    {
                        <tr class="d-flex">
                            <td class="text-center col-3">@user.Id</td>
                            <td class="text-center col-3">@user.UserName</td>
                            <td class="text-center col-3">@user.Email</td>
                            <td class="text-center col-3">
                                <div class="btn-group" role="group">
                                    <div class="col">
                                        <form method="get">
                                            <button asp-controller="Admin"  asp-action="Edit"
                                                    class="btn btn-block btn-outline-primary" type="submit" name="editId" asp-route-id="@user.Id">
                                                Редактировать
                                            </button>
                                        </form>
                                    </div>

                                    <div class="col">
                                        <form method="post">
                                            <button asp-controller="Admin" asp-action="Delete"
                                                    class="btn btn-block btn-outline-danger" type="submit" name="deleteId" asp-route-id="@user.Id">
                                                Удалить
                                            </button>
                                        </form>
                                    </div>
                                </div>
                            </td>
                        </tr>
                    }
                }
            </tbody>
        </table>

        <a class="btn btn-block btn-outline-primary" asp-action="Create">Создать пользователя</a>

    </div>

</div>